using System;
using System.Linq.Expressions;
using System.Text.RegularExpressions;

namespace ConsoleApp10
{
    internal class Program
    {
       
        static void Main(string[] args)
        {
            int med = 0;
            string[] nq = Console.ReadLine().Split(' ');
            int n = int.Parse(nq[0]);
            int q = int.Parse(nq[1]);
            int[] izlaz = new int[q];
            int[] a = new int[n];
            string[] d=Console.ReadLine().Split(' ');
            for (int i = 0; i<n;i++)
            {
                a[i] = int.Parse(d[i]);
            }
            Array.Sort(a);
            string[] f = Console.ReadLine().Split(' ');
            int[] b = new int[q];
            for (int i = 0; i < q; i++)
            {
                b[i] = int.Parse(f[i]);
            }
            int poz = 0;
            int g = 0;
            for (int i = 0; i < q; i++)
            { med = n / 2 + 1;
                int t = 0;
                if (Array.Exists(a, element => element == b[i])) {
                    poz = Array.IndexOf(a, b[i]) + 1;
                    if (med == poz)
                    {
                        izlaz[i] = 0;
                    }
                    else if (med < poz)
                    {
                        t = (poz - 1) * 2;
                        izlaz[i] = t - n;
                    }
                    else
                    {
                        poz = n - poz + 1;
                        t = (poz - 1) * 2;
                        izlaz[i] = t - n + 1;
                    }
                }
                else
                {
                    for(int j = n-1; j >=0; j--)
                    {
                        if (b[i] > a[j])
                        {
                            if (b[i] > a[med])
                            { 
                                t = (j+2 - 1) * 2;
                                izlaz[i] = t - n;
                                break;
                            }
                            else
                            {
                                j = n + 1 - j;
                                t = (j+1 - 1) * 2;
                                izlaz[i] = t - n;
                                break;
                            }
                        }
                        else
                        {
                            izlaz[i] = n+1;
                        }
                    }
                }
            }
            for(int i = 0; i < q; i++)
            {
                Console.WriteLine(izlaz[i]);
            }
            Console.ReadLine();
        }
    }
}